﻿<%@ Page Title="Registra" Language="VB" MasterPageFile="~/Site.Master" AutoEventWireup="false"
    CodeFile="Register.aspx.vb" Inherits="Account_Register" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <asp:ObjectDataSource ID="ProfileSource" runat="server" 
        SelectMethod="GetProfile" TypeName="ProfileCommon">
        <SelectParameters>
            <asp:QueryStringParameter Name="username" QueryStringField="userneme" 
                Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:CreateUserWizard ID="RegisterUser" runat="server" 
    EnableViewState="False">
        <LayoutTemplate>
            <asp:PlaceHolder ID="wizardStepPlaceholder" runat="server"></asp:PlaceHolder>
            <asp:PlaceHolder ID="navigationPlaceholder" runat="server"></asp:PlaceHolder>
        </LayoutTemplate>
        <WizardSteps>
            <asp:CreateUserWizardStep ID="RegisterUserWizardStep" runat="server">
                <ContentTemplate>
                    <h2>
                        Crea nuovo account
                    </h2>
                    <p>
                        Utilizzare il form seguente per creare un nuovo account.
                    </p>
                    <p>
                        Le password devono essere costituite da almeno <%= Membership.MinRequiredPasswordLength %> caratteri.
                    </p>
                    <span class="failureNotification">
                        <asp:Literal ID="ErrorMessage" runat="server"></asp:Literal>
                    </span>
                    <asp:ValidationSummary ID="RegisterUserValidationSummary" runat="server" CssClass="failureNotification" 
                         ValidationGroup="RegisterUserValidationGroup"/>
                    <div class="accountInfo">
                        <fieldset class="register">
                            <legend>Informazioni account</legend>
                            <p>
                                <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Nome utente:</asp:Label>
                                <asp:TextBox ID="UserName" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" 
                                     CssClass="failureNotification" ErrorMessage="Il valore Nome utente è obbligatorio." ToolTip="Il valore Nome utente è obbligatorio." 
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>
                            <p>
                                <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email">Posta elettronica:</asp:Label>
                                <asp:TextBox ID="Email" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email" 
                                     CssClass="failureNotification" ErrorMessage="Il valore Posta elettronica è obbligatorio." ToolTip="Il valore Posta elettronica è obbligatorio." 
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>
                            <p>
                                <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Password:</asp:Label>
                                <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" 
                                     CssClass="failureNotification" ErrorMessage="La password è obbligatoria." ToolTip="La password è obbligatoria." 
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>
                            <p>
                                <asp:Label ID="ConfirmPasswordLabel" runat="server" AssociatedControlID="ConfirmPassword">Conferma password:</asp:Label>
                                <asp:TextBox ID="ConfirmPassword" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                                <asp:RequiredFieldValidator ControlToValidate="ConfirmPassword" CssClass="failureNotification" Display="Dynamic" 
                                     ErrorMessage="La password di conferma è obbligatoria." ID="ConfirmPasswordRequired" runat="server" 
                                     ToolTip="La password di conferma è obbligatoria." ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="PasswordCompare" runat="server" ControlToCompare="Password" ControlToValidate="ConfirmPassword" 
                                     CssClass="failureNotification" Display="Dynamic" ErrorMessage="La password e la password di conferma devono corrispondere."
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:CompareValidator>
                            </p>
                            <p>
                             <asp:Label ID="LblNome1" ToolTip="Necessario per le registrazioni commerciali" runat="server">Nome Personale:*</asp:Label>
                                <asp:TextBox ID="TextNome1" runat="server" CssClass="textEntry"></asp:TextBox>
                            </p>
                              <p>
                             <asp:Label ID="LblNome2" ToolTip="Necessario per le registrazioni commerciali" runat="server">Cognome:*</asp:Label>
                                <asp:TextBox ID="TextNome2" runat="server" CssClass="textEntry"></asp:TextBox>
                            </p>
                              <p>
                             <asp:Label ID="LblSoc" ToolTip="Necessario per le registrazioni commerciali" runat="server">Cf-PI:*</asp:Label>
                                <asp:TextBox ID="TexTSoc" runat="server" CssClass="textEntry"></asp:TextBox>
                            </p>
                            <p>
                              <asp:Label ID="LblInd" ToolTip="Necessario per le registrazioni commerciali" runat="server">Indirizzo:*</asp:Label>
                                 <asp:TextBox ID="TextInd" runat="server" CssClass="textEntry"></asp:TextBox>
                                 </p>
                            <p>
                              <asp:Label ID="LblTel" ToolTip="Necessario per le registrazioni commerciali" runat="server">Telefono*</asp:Label>
                                <asp:TextBox ID="Textel" runat="server" CssClass="textEntry"></asp:TextBox>
                            </p>
                            <p>
                              <asp:Label ID="LblGr" ToolTip="Necessario per le registrazioni commerciali" runat="server">Gruppo:*</asp:Label>
                                <asp:TextBox ID="TextGruppo" runat="server" CssClass="textEntry"></asp:TextBox>
                            </p>
                             <p>
                              <asp:Label ID="LblCap" ToolTip="Necessario per le registrazioni commerciali" runat="server">CAP:*</asp:Label>
                                <asp:TextBox ID="TextCap" runat="server" CssClass="textEntry"></asp:TextBox>
                                </p>
                            <p>
                              <asp:Label ID="LblCity" ToolTip="Necessario per le registrazioni commerciali" runat="server">Città:*</asp:Label>
                                <asp:TextBox ID="TextCity" runat="server" CssClass="textEntry"></asp:TextBox>
                            </p>
                            <p>
                              <asp:Label ID="LblSocName" ToolTip="Necessario per le registrazioni commerciali" runat="server">Ragione Sociale:*</asp:Label>
                                <asp:TextBox ID="TextSocName" runat="server" CssClass="textEntry"></asp:TextBox>
                            </p>
                             <p>
                             <asp:Label ID="LblPdate" runat="server">Data di Pubblicazione:*</asp:Label>
                                <asp:TextBox ID="texDate" runat="server" CssClass="textEntry"></asp:TextBox>
                            </p>
                          
                        </fieldset>
                        <p class="submitButton">
                            <asp:Button ID="CreateUserButton" runat="server" CommandName="MoveNext" Text="Crea utente" 
                                 ValidationGroup="RegisterUserValidationGroup"/>
                        </p>
                    </div>
                </ContentTemplate>
                <CustomNavigationTemplate>
                    <table border="0" cellspacing="5" style="width:100%;height:100%;">
                        <tr align="right">
                            <td align="right" colspan="0">
                                
                            </td>
                        </tr>
                    </table>
                </CustomNavigationTemplate>
            </asp:CreateUserWizardStep>
<asp:CompleteWizardStep runat="server"></asp:CompleteWizardStep>
        </WizardSteps>
    </asp:CreateUserWizard>
</asp:Content>